/*
 * rtc.h
 *
 * Created: 07.10.2016 13:12:57
 *  Author: maddin
 */ 


#ifndef RTC_H_
#define RTC_H_

#include <stdlib.h>
#include <avr/io.h>
#include <stdio.h>
#include <stddef.h>
#include <avr/interrupt.h>
#include <avr/pgmspace.h>
#include <string.h>

void rtc_init(TC0_t *timer);
void rtc_isr(void);
uint32_t rtc_set(uint32_t t);
uint8_t  rtc_check(uint32_t t);
uint32_t rtc_msec(void);

#endif /* RTC_H_ */